Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jboss.remoting.samples.http
Class ComplexObject

    java.lang.Object
      org.jboss.remoting.samples.http.ComplexObject

All Implemented Interfaces:
  java.io.Serializable

    public class ComplexObject

extends java.lang.Object
implements java.io.Serializable

Author:
  Tom Elrod
See Also:
  Serialized Form

Field Summary
`boolean` | `b`
`byte[]` | `bytes`
`int` | `i`
`java.lang.String` | `s`

Constructor Summary
`ComplexObject()`
`ComplexObject(int i, java.lang.String s, boolean b)`
`ComplexObject(int i, java.lang.String s, boolean b, int byteSize)`

Method Summary
`boolean` | `equals(java.lang.Object o)`
`int` | `getSize()`
`void` | `setBytes(byte[] bytes)`
`java.lang.String` | `toString()`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### i

    public int i

### s

    public java.lang.String s

### b

    public boolean b

### bytes

    public byte[] bytes

Constructor Detail

### ComplexObject

    public ComplexObject()

### ComplexObject

    public ComplexObject(int i,
                         java.lang.String s,
                         boolean b)

### ComplexObject

    public ComplexObject(int i,
                         java.lang.String s,
                         boolean b,
                         int byteSize)

Method Detail

### setBytes

    public void setBytes(byte[] bytes)

### getSize

    public int getSize()

### toString

    public java.lang.String toString()

  Overrides:
    `toString` in class `java.lang.Object`

### equals

    public boolean equals(java.lang.Object o)

  Overrides:
    `equals` in class `java.lang.Object`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright ? 1998-2005 JBoss Inc . All Rights Reserved.